package com.yeejoin.amos.boot.module.jcs.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 警情调度类型枚举
 *
 * @author DELL
 */
@Getter
@AllArgsConstructor
public enum AlertSchedulingTypeEnum {

    /**
     * 融合调度,外部协调
     */
    融合调度("integrated", "331", "融合调度"),
    外部协调("external", "332", "外部协调");

    private String key;
    private String code;
    private String name;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
